import { IFIO } from '../common/types.ts';

import { readFileSync } from 'node:fs';

const BunFileIO: IFIO = {
	openFile: async (path: string): Promise<string> => {
		const file = await Bun.file(path);
		return await file.text();
	},
	openFileSync: (path: string): string => {
		return readFileSync(path).toString();
	},
};

export default BunFileIO;
